<?php
define('ROOT','../');
define('GCMS',true);
require_once (ROOT.'system/power.php');
if ($ya['level'] > 1) {
switch($mode) {
///Удаление файла
case 'delfile':
$sql = $db -> query("SELECT * FROM `book_files` WHERE `id` = '".$id."' LIMIT 1");
if ($sql -> num_rows > 0) {
$ass = $sql -> fetch_assoc();
if ($aut == true and $id != false and $ya['level']>=2 or $ya['id']==$ass['user']) {
if (!isset($_GET['true'])) {
$diz -> head('Удаление файла');
$diz -> title('Удаление файла');
$msg .= '<div class="fon">Вы действительно хотите удалить данный скрипт?</br>
<a href="./func.php?mode=delfile&amp;id='.$id.'&amp;true">Да</a> | <a href="book'.$ass['book'].'">Нет</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
} else {
    $diz -> head('Удаление файла');
$diz -> title('<b>Удаление файла</b>');
	$sql =$db -> query("SELECT * FROM `book_files` WHERE `id`='".$id."'");
$row = $sql->fetch_assoc();
		$explode = explode('./', $row['infolder']);
		
		$chmod = '';
		foreach($explode as $chm) {
			$chmod .= $chm;
			if (is_dir('./'.$chmod)) {
				$chmod = $chmod.'/';
			}
			chmod('./'.$chmod, 0777);
		}
        $sid=$ass['book'];
		if ($db -> query("DELETE FROM `book_files` WHERE `id`='".$id."'") && unlink('./'.$row['infolder'])) {
			header('Refresh: 2, url=./book'.$sid);
			$msg .= '<div class="fon">Файл успешно откреплён!</div>';
		} else {
			$msg .= '<div class="fon">Ошибка при удалении файла!</div>';
		}#####Копирайт#######
require_once (ROOT.'system/kopy.php');
         	$diz -> out($msg);
}                       
} else header('location: ./index.php');
} else header('location: ./index.php');
break;
///удаление раздела
case 'delr':
if ($aut == true and $id != false and ($ya['level']>2)) {
$sql = $db -> query("SELECT * FROM `book_razdel` WHERE `id` = '".$id."' LIMIT 1");
if ($sql -> num_rows > 0) {
$ass = $sql -> fetch_assoc();
if (!isset($_GET['true'])) {
$diz -> head('Библиотека');
$diz -> title('Удаление раздела');
$msg .= '<div class="fon">Раздел: <span>'.$ass['name'].'</span><br/>Вы точно хотите удалить выбранный раздел и все статьи в нём?<br/>
<a href="func.php?id='.$id.'&amp;mode=delr&amp;true">Да</a> | <a href="index.php">Нет</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
} else {
$db -> multi_query("DELETE FROM `books` WHERE `razdel` = '".$id."'");
$db -> multi_query("DELETE FROM `book_razdel` WHERE `id` = '".$id."' LIMIT 1");
header('location: index.php');
}
} else header('location: index.php');
} else header('location: index.php');
break;
//Создаем раздел библиотеки
case 'new':
if ($ya['level'] > 3) {
if (empty($_POST['name'])){
$diz -> head('Управление библиотекой');
$diz -> title('Создаем раздел');
$msg .= '<div class="fon">Введите название:
<form action="func.php?mode=new" method="post"><div><input type="text" name="name" maxlength="40"/><br/>
<input type="submit" value="Создать"/>
</div></form>';
$msg .= '</div><div class="levo">'.$diz -> img('back.png').'<a href="index.php">Библиотека</a><br/>';
$msg .= ''.$diz -> img('home.png').'<a href="/">На главную</a></div>';
#####Копирайт#######
require_once ('../system/kopy.php');
$diz -> out($msg);
} else {
$name = shit($_POST['name']);
$db -> query("INSERT INTO `book_razdel` SET `name` = '".$name."' ");
$diz -> head('Управление библиотекой');
$diz -> title('Создаем раздел');
$msg .='<div class="fon">'.$name.' создан!</div>';
$msg .= '<div class="levo">'.$diz -> img('back.png').'<a href="index.php">Библиотека</a><br/>';
$msg .= ''.$diz -> img('home.png').'<a href="/">На главную</a></div>';
#####Копирайт#######
require_once ('../system/kopy.php');
$diz -> out($msg);
}
}else header('location: index.php');
break;
///удаление статьи
case 'del':
if ($aut == true and $id != false and $ya['level']>2) {
$sql = $db -> query("SELECT * FROM `books` WHERE `id` = '".$id."' LIMIT 1");
if ($sql -> num_rows > 0) {
$ass = $sql -> fetch_assoc();
if (!isset($_GET['true'])) {
$diz -> head('Библиотека');
$diz -> title('Удаление статьи');
$msg .= '<div class="fon">Статья: <span>'.$ass['name'].'</span><br/>Вы точно хотите удалить выбранную статью?<br/>
<a href="func.php?id='.$id.'&amp;mode=del&amp;true">Да</a> | <a href="book'.$id.'">Нет</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
} else {
$db -> multi_query("DELETE FROM `books` WHERE `id` = '".$id."' LIMIT 1");
header('location: razdel.php?id='.$ass['razdel']);
}
} else header('location: index.php');
} else header('location: index.php');
break;
///Изменение статьи
case 'red':
if (empty($_POST['name']) || empty($_POST['text'])) {
$diz -> head('Изменение статьи');
$diz -> title('Изменение статьи');
$for = $db -> query("SELECT * FROM `books` where `id`='$id'")-> fetch_assoc();
$msg .= '<div class="fon">Название статьи:<form action="func.php?id='.$id.'&amp;mode=red" method="post"><div>
<textarea name="name" rows="3" cols="26">'.$for['name'].'</textarea><br/>
Тест статьи:<br/>
<textarea name="text" rows="8" cols="55">'.$func -> br($for['text']).'</textarea><br/>
<input type="submit" value="Изменить"/>
</div></form>';
$msg .= '</div><div class="levo">'.$diz -> img('folder.png').'<a href="book'.$id.'">Назад</a></br>';
$msg .= ''.$diz -> img('home.png').'<a href="/">На главную</a></div>';
#####Копирайт#######
require_once ('../system/kopy.php');
$diz -> out($msg);
} else {
$name = shit($_POST['name']);
$text = shit($_POST['text']);
$raz = (!empty($_POST['razdel'])) ? abs(intvall((int)$_POST['razdel'])) : null;
$db -> query("Update `books` SET  `name` = '".$name."',`text` = '".$text."' where `id`='$id'");
$diz -> head('Изменение статьи');
$diz -> title('Изменение статьи');
$msg .= '<div class="fon">Статья <b>'.$name.'</b> успешно изменена!</div>';
$msg .= '<div class="levo">'.$diz -> img('back.png').'<a href="book'.$id.'">Назад</a><br/>';
$msg .= ''.$diz -> img('home.png').'<a href="/">На главную</a></div>';
#####Копирайт#######
require_once ('../system/kopy.php');
$diz -> out($msg);
}
break;
///Изменение раздела
case 'redraz':
if (empty($_POST['name'])) {
$diz -> head('Изменение раздела');
$diz -> title('Изменение раздела');
$for = $db -> query("SELECT * FROM `book_razdel` where `id`='$id'")-> fetch_assoc();
$msg .= '<div class="fon">Название статьи:<form action="func.php?id='.$id.'&amp;mode=redraz" method="post"><div>
<textarea name="name" rows="1" cols="26">'.$for['name'].'</textarea><br/>
<input type="submit" value="Изменить"/>
</div></form>';
$msg .= '</div><div class="levo">'.$diz -> img('folder.png').'<a href="index.php">Назад</a></br>';
$msg .= ''.$diz -> img('home.png').'<a href="/">На главную</a></div>';
#####Копирайт#######
require_once ('../system/kopy.php');
$diz -> out($msg);
} else {
$name = shit($_POST['name']);
$text = shit($_POST['text']);
$raz = (!empty($_POST['razdel'])) ? abs(intvall((int)$_POST['razdel'])) : null;
$db -> query("Update `book_razdel` SET  `name` = '".$name."' where `id`='$id'");
$diz -> head('Изменение раздела');
$diz -> title('Изменение раздела');
$msg .= '<div class="fon">Раздел <b>'.$name.'</b> успешно изменён!</div>';
$msg .= '<div class="levo">'.$diz -> img('back.png').'<a href="index.php">Назад</a><br/>';
$msg .= ''.$diz -> img('home.png').'<a href="/">На главную</a></div>';
#####Копирайт#######
require_once ('../system/kopy.php');
$diz -> out($msg);
}
break;
///Перенос книги
case 'perenos':
if ($aut == true and (int)$id != false and (int)$ya['level']>3) {
$sql = $db -> query("SELECT * FROM `books` WHERE `id` = '".$id."' LIMIT 1");
if ($sql -> num_rows > 0) {
$ass = $sql -> fetch_assoc();
if (empty($_POST['razdel'])) {
$diz -> head('Библиотека');
$diz -> title('Перенос статьи');
$for = $db -> query("SELECT `id`,`name` FROM `book_razdel` where `id`<>'$ass[razdel]'");
if ($for -> num_rows > 0) {
while ($assoc = $for -> fetch_assoc()) {
$opt .= '<option value="'.$assoc['id'].'">'.$assoc['name'].'</option>';
}
$msg .= '<div class="fon">Выберите раздел:<br/>
<form action="func.php?id='.$id.'&amp;mode=perenos" method="post"><div>
<select name="razdel">'.$opt.'</select><br/>
<input type="submit" value="Перенести"/>
</div></form>';}else{$msg.='<div class="fon">Извините,но у вас только один раздел!';}
$msg .= '</div><div class="levo">'.$diz -> img('back.png').'<a href="book?id='.$id.'">Назад</a>';
$msg .= '</br>'.$diz -> img('home.png').'<a href="../">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
} else {
$razdel = abs(intval(htmlentities($db -> real_escape_string($_POST['razdel']))));
$db -> query("UPDATE `books` SET `razdel`=$razdel WHERE `id` = '".(int)$id."'");
$diz -> head('Перенос статьи');
     $diz -> title('Перенос статьи');
     $msg .= '<div class="fon">Статья была успешно перенесена!</div>';
     header('refresh: 2; url=book?id='.$id.'');
     #####Копирайт#######
require_once (ROOT.'system/kopy.php');
     $diz -> out($msg);
}
} else header('location: index.php');
} else header('location: book.php?id='.$id.'');
break;
//переадресация в случае пустой функции
default:
header('location: index.php');
}
}else header('location: index.php');
?>